import { View } from "@tarojs/components";
import HotBlock from "../HotBlock";
import './room.scss'

export default function Room(props) {
  const { roomNumber, totalNum, price, apartmentName } = props.dataset || {}
  const personNum = `(${totalNum}人)`
  return (
    <HotBlock number={totalNum}>
      <View className="room">
        <View className="warn">{roomNumber}</View>
        <View className="warn">{personNum}</View>
        <View className="info">{price}</View>
        <View className="info">{apartmentName}</View>
      </View>
    </HotBlock>
  )
}
