import Taro, { Component } from '@tarojs/taro';
import './index.scss'
import { connect } from '@tarojs/redux'
import ready from '@/utils/ready'

@connect(
  ({ user }) => ({ ...user })
)

export default class Index extends Component {
  config = {
    navigationBarTitleText: '预选结果',
  }

  state = {
    status: 2,
  }

  componentWillMount() {

    ready.queue(() => {


    })
  }


  render() {
    const { status } = this.state
    return (
      <View className="result">
        {status == 1 && <Image className="result-img" src={require('../../assets/success.png')}></Image>}
        {status == 2 && <Image className="result-img" src={require('../../assets/going.png')}></Image>}
        {status == 3 && <Image className="result-img" src={require('../../assets/fail2.png')}></Image>}
        <View className="status">{status == 1 ? '预选成功' : status == 2 ? '正在处理' : '预选失败'}</View>
        <View className="tip">已提交申请，等待系统处理</View>

        <View className="contact">联系置业顾问</View>
      </View>

    );
  }
}
