import Taro, { Component } from '@tarojs/taro';
import './index.scss'
import { AtTabs, AtTabsPane } from 'taro-ui'
import "taro-ui/dist/style/components/tabs.scss"
import { connect } from '@tarojs/redux'


@connect(({ user, city }) => ({ user, city }))
export default class selectionRecord extends Component {

  config = {
    navigationBarTitleText: '选房记录'
  }

  state = {
    current: 0,
    recordId: undefined, // 埋点ID
  }

  componentWillMount() {

  }


  handleClick(value) {
    this.setState({
      current: value
    })
  }


  render() {
    return (
      <View style="height:100vh">
        <AtTabs className="selectionRecord" scroll current={this.state.current} tabList={[{ title: '预选记录' }, { title: '认筹记录' }]} onClick={this.handleClick.bind(this)}>
          <AtTabsPane current={this.state.current} index={0} >
            <View >
              1111
            </View>
          </AtTabsPane>
          <AtTabsPane current={this.state.current} index={1}>
            <View>
              222
            </View>
          </AtTabsPane>
        </AtTabs>
      </View>
    )
  }
}